<?php
/**
 * @version		$Id: blog_item.php 22283 2011-10-25 07:32:19Z github_bot $
 * @package		Joomla.Site
 * @subpackage	com_content
 * @copyright	Copyright (C) 2005 - 2011 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// no direct access
defined('_JEXEC') or die;

// Create a shortcut for params.
$params = &$this->item->params;
$canEdit	= $this->item->params->get('access-edit');
JHtml::addIncludePath(JPATH_COMPONENT.'/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::core();

// BT Template Helper
$bt_helper = JPATH_BASE.DS.'templates'.DS.'bt_xsoft'.DS.'helpers'.DS.'bt_helper.php';
require_once ($bt_helper);
$bt = new btTemplateHelper();

// BT Get inner width
$bt_content_tools_width = (($params->get('show_author') && $article->author != "") || ($params->get('show_create_date')) || ($params->get('show_section')) || $params->get('show_category') || ($params->get('show_print_icon') || $params->get('show_email_icon')) ) ? 200 : 0;
$bt_content_header_bc_width = ($params->get('show_create_date')) ? (int)$bt->bt_main_inner_width - 70 : (int)$bt->bt_main_inner_width - 0;
$bt_content_header_b_width = $bt_content_header_bc_width - $bt_content_tools_width - 20;
$bt_content_width = (int)$bt->bt_main_inner_width - 210;


?>

<?php if ($this->item->state == 0) : ?>
<div class="system-unpublished">
<?php endif; ?>

<div class="bt_content">
	
    <?php if ($params->get('show_create_date')) : ?>
    <div class="bt_content_a">
       	<?php 
		$bt_day = date("d",strtotime($this->item->created));
		$bt_month = date("M",strtotime($this->item->created));
		$bt_year = date("Y",strtotime($this->item->created));
		echo '<div class="bt_day">'.$bt_day .'</div><div class="bt_month">'.$bt_month .'</div><div class="bt_year">'.$bt_year .'</div>';
		?>
    </div>
    <?php endif; ?>
    
    <div class="bt_content_bc" style="width: <?php echo $bt_content_header_bc_width; ?>px;">
        <div class="bt_content_b" style="width: <?php echo $bt_content_header_b_width; ?>px;">
            <div class="bt_content_title">
				<?php if ($params->get('show_title')) : ?>
                    <?php if ($params->get('link_titles') && $params->get('access-view')) : ?>
                        <a href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid)); ?>">
                        <?php echo $this->escape($this->item->title); ?></a>
                    <?php else : ?>
                        <?php echo $this->escape($this->item->title); ?>
                    <?php endif; ?>
                <?php endif; ?>
			   <?php if ($canEdit) : ?>
                    <?php echo JHtml::_('icon.edit', $this->item, $params); ?>
                <?php endif; ?>
            </div>
        </div>
		
        <?php 
		if (
		$params->get('show_author') && !empty($this->item->author ) 
		|| $params->get('show_create_date')
		|| $params->get('show_modify_date')
		|| $params->get('show_publish_date')
		|| ($params->get('show_parent_category') && $this->item->parent_slug != '1:root')
		|| $params->get('show_category')
		|| $params->get('show_print_icon')
		|| $params->get('show_email_icon')
		)
		: ?>
        <div class="bt_content_details">
            <div class="bt_content_data">

				<?php if ($params->get('show_author') && !empty($this->item->author )) : ?>
                    <div class="bt_content_author">
                    <?php $author = $this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author; ?>
                    <?php if (!empty($this->item->contactid) && $params->get('link_author') == true): ?>
                    <?php
                        $needle = 'index.php?option=com_contact&view=contact&id=' . $this->item->contactid;
                        $item = JSite::getMenu()->getItems('link', $needle, true);
                        $cntlink = !empty($item) ? $needle . '&Itemid=' . $item->id : $needle;
                    ?>
                        <?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', JHtml::_('link', JRoute::_($cntlink), $author)); ?>
                    <?php else: ?>
                        <?php echo JText::sprintf('COM_CONTENT_WRITTEN_BY', $author); ?>
                    <?php endif; ?>
                    </div>
					<div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

				<?php if ($params->get('show_create_date')) : ?>
                <div class="bt_content_createdate">
                    <?php echo JText::sprintf('COM_CONTENT_CREATED_DATE_ON', JHtml::_('date',$this->item->created, JText::_('DATE_FORMAT_LC2'))); ?>
                </div>    
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>
                
                <?php if ($params->get('show_modify_date')) : ?>
                <div class="bt_content_createdate">
                    <?php echo JText::sprintf('COM_CONTENT_LAST_UPDATED', JHtml::_('date',$this->item->modified, JText::_('DATE_FORMAT_LC2'))); ?>
                </div>    
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

				<?php if ($params->get('show_publish_date')) : ?>
                <div class="bt_content_createdate">
                    <?php echo JText::sprintf('COM_CONTENT_PUBLISHED_DATE_ON', JHtml::_('date',$this->item->publish_up, JText::_('DATE_FORMAT_LC2'))); ?>
                </div>    
				<div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

                <?php if ($params->get('show_parent_category') && $this->item->parent_slug != '1:root') : ?>
                <div class="bt_content_category">
                    <?php	$title = '<strong>'.$this->escape($this->item->parent_title).'</strong>';
                    $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->parent_slug)).'">'.$title.'</a>';?>
                    <?php if ($params->get('link_parent_category') and $this->item->parent_slug) : ?>
                        <?php echo JText::sprintf('COM_CONTENT_PARENT', $url); ?>
                    <?php else : ?>
                        <span class="bt_content_category_txt"><?php echo JText::sprintf('COM_CONTENT_PARENT', $title); ?></span>
                    <?php endif; ?>
                </div>
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

				<?php if ($params->get('show_category')) : ?>
                <div class="bt_content_category">
                    <?php 	$title = '<strong>'.$this->escape($this->item->category_title).'</strong>';
                    $url = '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug)).'">'.$title.'</a>';?>
                    <?php if ($params->get('link_category') and $this->item->catslug) : ?>
                        <?php echo JText::sprintf('COM_CONTENT_CATEGORY', $url); ?>
                    <?php else : ?>
                        <?php echo JText::sprintf('COM_CONTENT_CATEGORY', $title); ?>
                    <?php endif; ?>
                </div>    
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>
                
                <?php if ($params->get('show_hits')) : ?>
                <div class="bt_content_hits">
                    <?php echo JText::sprintf('COM_CONTENT_ARTICLE_HITS', $this->item->hits); ?>
                </div>
                <div class="bt_horizontal_separator">&nbsp;</div>
                <?php endif; ?>

	    	<?php if ($params->get('show_print_icon') || $params->get('show_email_icon')) : ?>    
				<?php if (!$this->print) : ?>
                    <?php if ($params->get('show_print_icon')) : ?>
		            	<div class="bt_content_print">
                        	<?php echo JHtml::_('icon.print_popup',  $this->item, $params); ?>
                        </div>
                    <?php endif; ?>
            
                    <?php if ($params->get('show_email_icon')) : ?>
                    	<div class="bt_content_email">
                        	<?php echo JHtml::_('icon.email',  $this->item, $params); ?>
                        </div>
                    <?php endif; ?>
                        
                <?php else : ?>
                    <?php echo JHtml::_('icon.print_screen',  $this->item, $params); ?>
                <?php endif; ?>
                
	        <?php endif; ?>
                
            </div>
        </div>
        <?php endif; ?>
        
	</div>
	
    <br clear="all" />
    <div class="bt_content_text">
    
    	<?php  if (!$params->get('show_intro')) :
		echo $this->item->event->afterDisplayTitle;
		endif; ?>

		<?php echo $this->item->event->beforeDisplayContent; ?>
    	
        <?php echo $this->item->introtext; ?>
   		
        <?php if ($params->get('show_readmore') && $this->item->readmore) :
			if ($params->get('access-view')) :
				$link = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
			else :
				$menu = JFactory::getApplication()->getMenu();
				$active = $menu->getActive();
				$itemId = $active->id;
				$link1 = JRoute::_('index.php?option=com_users&view=login&Itemid=' . $itemId);
				$returnURL = JRoute::_(ContentHelperRoute::getArticleRoute($this->item->slug, $this->item->catid));
				$link = new JURI($link1);
				$link->setVar('return', base64_encode($returnURL));
			endif;
		?>
				<p class="readmore">
						<a href="<?php echo $link; ?>">
							<?php if (!$params->get('access-view')) :
								echo JText::_('COM_CONTENT_REGISTER_TO_READ_MORE');
							elseif ($readmore = $this->item->alternative_readmore) :
								echo $readmore;
								if ($params->get('show_readmore_title', 0) != 0) :
									echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
								endif;
							elseif ($params->get('show_readmore_title', 0) == 0) :
								echo JText::sprintf('COM_CONTENT_READ_MORE_TITLE');
							else :
								echo JText::_('COM_CONTENT_READ_MORE');
								echo JHtml::_('string.truncate', ($this->item->title), $params->get('readmore_limit'));
							endif; ?></a>
				</p>
		<?php endif; ?>

    </div>
</div>

<?php if ($this->item->state == 0) : ?>
</div>
<?php endif; ?>

<div class="item-separator"></div>
<?php echo $this->item->event->afterDisplayContent; ?>
